module Mock.ArticlesList (
      longMain
    , longTesting
    , shortMain
    , shortTesting
  ) where

import ArticlesList (ArticlesList(..))
import Mock.Collection (main, testing)
import Prelude hiding (all)

shortMain :: IO ArticlesList
shortMain = ArticlesList False <$> main

shortTesting :: IO ArticlesList
shortTesting = ArticlesList False <$> testing

longMain :: IO ArticlesList
longMain = ArticlesList True <$> main

longTesting :: IO ArticlesList
longTesting = ArticlesList True <$> testing
