{-# LANGUAGE OverloadedStrings #-}
module Mock.Blog.Wording (
    defaultWording
  ) where

import Blog.Wording (Wording(..))
import qualified Data.Map as Map (fromList)

defaultWording :: Wording
defaultWording = Wording $ Map.fromList [
      ("allLink", "See all")
    , ("allPage", "All articles{? tagged ${tag}?}")
    , ("articleDescription", "A new article on ${name}")
    , ("commentsLink", "Comment on the fediverse")
    , ("commentsSection", "Comments")
    , ("dateFormat", "en-US")
    , ("latestLink", "See only latest")
    , ("latestPage", "Latest articles{? tagged ${tag}?}")
    , ("metadata", "{?by ${author} ?}on ${date}{? tagged ${tags}?}")
    , ("pageDescription", "Read on ${name}")
    , ("pagesList", "Pages")
    , ("rssLink", "Subscribe")
    , ("rssTitle", "Follow all articles{? tagged ${tag}?}")
    , ("tagsList", "Tags")
  ]
